System.ServiceModel 4.0.0.0 System.IdentityModel.Tokens.SecurityToken

An instance of this class contains key material along with authentication information that represents the client. The user selects the particular cryptographic algorithm to use with it.

Represents the token defined by the WS-SecureConversation specification.

- Constructor
  4.0.0.0

  The should be unique among all security context tokens issued by the service.

  Initializes a new instance of the class.

  A that represents the context id.
  A byte array that represents the key.
  The effective start time.
  The expiration time.
- Constructor
  4.0.0.0

  The should be unique among all security context tokens issued by the service.

  Initializes a new instance of the class.

  A that represents the context id.
  The token id.
  A byte array that represents the key.
  The effective start time.
  The expiration time.
- Constructor
  4.0.0.0

  The should be unique among all security context tokens issued by the service.

  Initializes a new instance of the class.

  A that represents the context id.
  The token id.
  A byte array that represents the key.
  The effective start time.
  The expiration time.
  A read-only collection of instances that represents the party to whom the token is issued.
- Constructor
  4.0.0.0

  The should be unique among all security context tokens issued by the service.

  Initializes a new instance of the class.

  A that represents the context id.
  The token id.
  A byte array that represents the key.
  The effective start time.
  The expiration time.
  A that represents the key generation.
  The key effective start time.
  The key expiration time.
  A read-only collection of instances that represents the party to whom the token is issued.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Policy.IAuthorizationPolicy> To be added. To be added.

  Gets a read-only collection of token authorization policies.

- Method
  4.0.0.0
  System.Boolean System.IdentityModel.Tokens.SecurityKeyIdentifierClause To be added.

  Indicates whether a specified key identifier clause type can be created.

  true if the specified key identifier clause type can be created; otherwise, false.

  The specified key identifier clause type.
- Property
  4.0.0.0
  System.Xml.UniqueId To be added. To be added.

  Gets the context id.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityContextSecurityToken `` `` `` `` `` `` `` To be added.

  Creates a security context token cookie.

  A security context token cookie.

  A that represents the context id. The token id. A byte array that represents the key. The effective start time. The expiration time. A read-only collection of instances. The security state encoder.
- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityContextSecurityToken `` `` `` `` `` `` `` `` `` `` To be added.

  Creates a security context token cookie.

  A security context token cookie.

  A that represents the context id. The token id. A byte array that represents the key. The effective start time. The expiration time. A that represents the key generation. The key effective start time. The key expiration time. A read-only collection of instances. The security state encoder.
- Method
  4.0.0.0
  T System.IdentityModel.Tokens.SecurityKeyIdentifierClause To be added.

  Creates a key identifier clause of a specified type.

  A cast to type .

  The specified type.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the token id.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the key effective start time.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the key expiration time.

- Property
  4.0.0.0
  System.Xml.UniqueId To be added.

  Starting with the netfx35_short, this property is emitted on the wire as an <sc:Instance> element. In prior versions of the dnprdnshort, it was emitted as an <sc:Generation> element.

  Gets the key generation.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Indicates whether the current token's key identifier clause matches a specified key identifier clause.

  true if the current token's key identifier clause matches a specified key identifier clause; otherwise, false. The default is false.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Tokens.SecurityKey> To be added. To be added.

  Gets a read-only collection of security keys.

- Method
  4.0.0.0
  System.String To be added.

  Generates a text representation of the current instance of this object.

  A text representation of the current instance of this object.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token effective start time.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token expiration time.